<?php

/*
 * Created on 22.02.2021
 * HomePage: https://xentr.net
 * Copyright (c) 2019-2021 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Stories\Job;

class HardDeleteJob extends \XF\Job\AbstractJob
{
	
    public function run($maxRunTime)
    {
        $app = \XF::app();
        $db = $app->db();

        $finder = \XF::finder('XENTR\Stories:Story');
        $finder->where('story_deleted', '=', true);
        $stories = $finder->fetch();
		
		if (!$stories || !$this->app->options()->xtrStoryDeleteCron)
		{
			$this->complete();
		}

        foreach ($stories as $storyId => $story)
        {
			$story->delete(false);
        }

        return $this->complete();
    }

    public function getStatusMessage()
    {
        return 'Processing member stories hard delete...';
    }

    public function canCancel()
    {
        return false;
    }

    public function canTriggerByChoice()
    {
        return false;
    }
	
}