<?php

/*
 * Created on 21.02.2021
 * HomePage: https://xentr.net
 * Copyright (c) 2019 - 2021 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Stories\Repository;

use XF\Mvc\Entity\Repository;

class CheckLinks extends Repository
{
	
	public function checkUrl($url)
	{
		/** Get options */	
		$options = $this->app()->options();
		if(!$options->xtrStoryWhiteListEnabled){
			return true;
		}
		$whitelisted_url = $options->xtrStoryWhiteList;
		
		/** Get Board URL */
		$boardUrls = $options->boardUrl;
		
		/** Get board host */
		$boardUrl = parse_url($boardUrls);
		$boardHost = $boardUrl['host'];
		
		/** Get URL host */
		$sourceUrl = parse_url($url);
		if (!empty($sourceUrl['host']) )
		{
			$curentDomain = $sourceUrl['host'];
		}
		else
		{
			$curentDomain = $boardHost;
		}
		$boardInc = $options->xtrStoryInternal;
		
		/** Add board url to the whitelist */
		if($boardInc)
		{
			array_push($whitelisted_url, $boardUrls);
		}
		$whiteList = [];
		if(!empty($whitelisted_url))
		{
			foreach ($whitelisted_url as $value)
			{
				$whiteHost = parse_url($value);
				array_push($whiteList, $whiteHost['host']);
			}
		} 
		/** Check if we match the domain exactly */		
		if (in_array($curentDomain, $whiteList))
		{
			return true;
		}
		return false;
	}
	
	
}