<?php

/*
 * Created on 01.02.2021
 * HomePage: https://xentr.net
 * Copyright (c) 2019-2021 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Stories\Widget;

use XF\Widget\AbstractWidget;

class Story extends AbstractWidget
{
    protected $defaultOptions = [
        'arrow' => 4,
		'limit' => 20,
    ];

    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
    {
        $options = $request->filter([
            'arrow' => 'uint',
			'limit' => 'uint',
        ]);

        if ($options['limit'] < 1)
        {
            $options['limit'] = 1;
        }

        return true;
    }

    public function render()
    {
        $options = $this->options;
		
        $limit = $options['limit'];
		$arrow = $options['arrow'];

        $now = \XF::$time;
        $max_view_time = (\XF::options()->xtrStoryMaxAppear * 3600);
        $story_view_time = $now - $max_view_time;

		$finder = \XF::finder('XENTR\Stories:Story');
		$finder->with('User');
		$finder->where('story_create_date', '>=', $story_view_time);
		$finder->where('story_deleted', false);
		$finder->order('story_create_date', 'DESC');
        $stories = $finder->fetch()->toArray();

		/*usort ($stories, function ($left, $right) {
			return $left->story_sticky <=> $right->story_sticky;
		});*/

		$addedStoryUsers = [];

        $storyUsers = [];
		$var_limit = 1;
        foreach($stories AS $story){
			if(in_array($story->User->user_id, $addedStoryUsers))continue;
			if($var_limit <= $limit){
				$storyUsers[$story->User->user_id] = [
                    'user' => $story->User,
					'stories' => []
                ];
				array_push($addedStoryUsers, $story->User->user_id);
				$var_limit++;
			}
        }
        foreach($stories AS $story){
			if(in_array($story->User->user_id, $addedStoryUsers)){
				array_push($storyUsers[$story->User->user_id]['stories'], $story);
			}
		}
		unset($addedStoryUsers);
		unset($var_limit);

        $viewParams = [
            'title' => $this->getTitle(),
			'storyUsers' => $storyUsers,
			'totalStory' => count($storyUsers),
			'arrow' => $arrow,
            'limit' => $limit
        ];

        return $this->renderer('xentr_stories_widget', $viewParams);
    }
}