<?php

/*
 * Created on 01.02.2021
 * HomePage: https://xentr.net
 * Copyright (c) 2019-2021 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Stories\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class UserPrivacy extends XFCP_UserPrivacy
{
	

	protected function _setupDefaults()
	{
		parent::_setupDefaults();
		$this->allow_story_view = \XF::phrase('xtr_story_view_your_stories');
	}

    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);

        $structure->columns['allow_story_view'] = ['type' => self::STR, 'default' => 'members',
				'allowedValues' => ['everyone', 'members', 'followed', 'none'],
				'verify' => 'verifyPrivacyChoice'
		];

        return $structure;
    }
	
}