<?php

/*
 * Created on 21.02.2021
 * HomePage: https://xentr.net
 * Copyright (c) 2019 - 2021 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Stories\XF\Option;

class CharOption extends \XF\Option\AbstractOption{
	public static function renderOption(\XF\Entity\Option $option, array $htmlParams){
		$choices = [];
		foreach ($option->option_value AS $word) {
			$choices[] = [
				'char' => $word,
			];
		}

		return self::getTemplate('admin:xentr_member_story_title_control', $option, $htmlParams, [
			'choices' => $choices,
			'nextCounter' => count($choices)
		]);
	}

	public static function verifyOption(array &$value){
		$output = [];

		foreach ($value AS $word) {
			if (!isset($word['char']) || strval($word['char']) === '') {
				continue;
			}
			$output[] = strval($word['char']);
		}
		$value = $output;
		return true;
	}
}