<?php

/*
 * Created on 21.02.2021
 * HomePage: https://xentr.net
 * Copyright (c) 2019 - 2021 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Stories\XF\Option;

class WhiteList extends \XF\Option\AbstractOption
{
	public static function renderOption(\XF\Entity\Option $option, array $htmlParams)
	{
		$choices = [];
		foreach ($option->option_value AS $word)
		{
			$choices[] = [
				'url' 		=> filter_var($word, FILTER_VALIDATE_URL)?$word:'',
			];
		}

		return self::getTemplate('admin:xentr_member_story_whitelist', $option, $htmlParams, [
			'choices' => $choices,
			'nextCounter' => count($choices)
		]);
	}

	public static function verifyOption(array &$value)
	{
		$output = [];

		foreach ($value AS $word)
		{
			if (!isset($word['url']) || strval($word['url']) === '')
			{
				continue;
			}
			if (filter_var($word['url'], FILTER_VALIDATE_URL))
				{
					$output[] = strval($word['url']);
				}
			
		}

		$value = $output;

		return true;
	}

	 
}