<?php

/*
 * Created on 01.02.2021
 * HomePage: https://xentr.net
 * Copyright (c) 2019-2021 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Stories\XF\Pub\Controller;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Account extends XFCP_Account
{
	
    protected function savePrivacyProcess(\XF\Entity\User $visitor)
    {
        $form = parent::savePrivacyProcess($visitor);
		
		$input = $this->filter([
			'privacy' => [
				'allow_story_view' => 'str'
			]
		]);
		
		$userPrivacy = $visitor->getRelationOrDefault('Privacy');
		$form->setupEntityInput($userPrivacy, $input['privacy']);
		
		return $form;
	}
	
	public function actionStories()
	{
		$visitor = \XF::visitor();

        $page = $this->filterPage();
        $perPage = \XF::options()->xtrStoryPublicList;

        /*$now = \XF::$time;
        $max_view_time = (\XF::options()->xtrStoryMaxAppear * 3600);
        $story_view_time = $now - $max_view_time;*/
		
		$finder = \XF::finder('XENTR\Stories:Story');
		$finder->with('User');
		$finder->where('user_id', $visitor->user_id);
		//$finder->where('story_create_date', '>=', $story_view_time);
		$finder->where('story_deleted', false);
		$finder->order('story_create_date', 'DESC');
		$finder->limitByPage($page, $perPage);
		
        $stories = $finder->fetch();
        $total = $finder->total();

        $viewParams = [
			'totalStory' => $total,
            'stories' => $stories,
            'page' => $page,
            'perPage' => $perPage
        ];
		
		$view = $this->view('XF:Account\Stories', 'xentr_account_stories', $viewParams);
		return $this->addAccountWrapperParams($view, 'stories');
	}
	
}